/*
 * Querydsl query type
 *
 *
 */
package de.ivu.elect.business.statistik.entity;

import static com.querydsl.core.types.PathMetadataFactory.*;

import com.querydsl.core.types.Path;
import com.querydsl.core.types.PathMetadata;
import com.querydsl.core.types.dsl.EntityPathBase;
import com.querydsl.core.types.dsl.NumberPath;
import com.querydsl.core.types.dsl.StringPath;
import com.querydsl.core.types.dsl.EnumPath;
import com.querydsl.core.types.dsl.DateTimePath;
import com.querydsl.core.types.dsl.SetPath;
import com.querydsl.core.types.dsl.BooleanPath;
import com.querydsl.core.types.dsl.PathInits;

@javax.enterprise.inject.Vetoed
@javax.annotation.Generated("de.ivu.takatuka")
public class QStatistikLauf extends EntityPathBase<StatistikLauf> {

  private static final long serialVersionUID = -1;

  // Wird benötigt zur Initialisierung der Entitäten. Verhindert Schleifen, initialisiert standardmäßig aber nur direkte Referenzen, nicht mehrere Ebenen. Mehrere Ebenen müssen explizit angegeben werden.
  private static final PathInits INITS_SAFE = new PathInits("*"
	// Wahltermin
, "wahltermin.customDataStorage"
, "wahltermin.einsehenRolle"
, "wahltermin.mandant"
, "wahltermin.stichwahlWahlterminUrspruenglich"
	// Wahl
, "wahl.berichtetAn"
, "wahl.customDataStorage"
, "wahl.einsehenRolle"
, "wahl.wahlart"
, "wahl.wahltermin"
);

  private static final PathInits INITS = de.ivu.elect.jee.entity.QueryDsl.DIREKT_4_EBENEN;

  public static final QStatistikLauf statistikLauf = new QStatistikLauf("statistikLauf");

  public final NumberPath<Long> id = createNumber("id", Long.class);

  public final StringPath ausloeser = createString("ausloeser");

  public final StringPath beschreibung = createString("beschreibung");

  public final DateTimePath endeDesLaufs = createDateTime("endeDesLaufs", java.sql.Timestamp.class);

  public final DateTimePath startDesLaufs = createDateTime("startDesLaufs", java.sql.Timestamp.class);

  public final EnumPath<de.ivu.elect.business.statistik.entity.StatistikLaufStatus> status = createEnum("status", de.ivu.elect.business.statistik.entity.StatistikLaufStatus.class);

  public final DateTimePath zeitpunktDesLaufs = createDateTime("zeitpunktDesLaufs", java.sql.Timestamp.class);


  // Beziehungen N:1 unidirektional

  public final de.ivu.elect.business.wahl.entity.QWahltermin wahltermin;

  public final de.ivu.elect.business.wahl.entity.QWahl wahl;

  // Beziehungen N:1 bidirektional


  // Beziehungen 1:N bidirektional

  /**
   * Beziehungen N:M bidirektional nicht selbstreferenzierend
   */

  public QStatistikLauf(Class<? extends StatistikLauf> type, PathMetadata metadata, PathInits inits) {
    super(type, metadata, inits);
    this.wahltermin = inits.isInitialized("wahltermin") ? new de.ivu.elect.business.wahl.entity.QWahltermin(forProperty("wahltermin"), inits.get("wahltermin")) : null;// de.ivu.elect.business.wahl.entity.QWahltermin.wahltermin;
    this.wahl = inits.isInitialized("wahl") ? new de.ivu.elect.business.wahl.entity.QWahl(forProperty("wahl"), inits.get("wahl")) : null;// de.ivu.elect.business.wahl.entity.QWahl.wahl;
  }

  public QStatistikLauf(String variable) {
    this(StatistikLauf.class, forVariable(variable), INITS);
  }

  public QStatistikLauf(Path<? extends StatistikLauf> path) {
    this(path.getType(), path.getMetadata(), path.getMetadata().isRoot() ? INITS : PathInits.DEFAULT);
  }

  public QStatistikLauf(PathMetadata metadata) {
    this(metadata, metadata.isRoot() ? INITS : PathInits.DEFAULT);
  }

  public QStatistikLauf(PathMetadata metadata, PathInits inits) {
    this(StatistikLauf.class, metadata, inits);
  }
}
